<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');

//Adiciona o jQuery na página antecipadamente
JHtml::_('jquery.framework');

// Create shortcuts to some parameters.
$params  = $this->item->params;
?>


<?php 

// Obtem HTML do modulo para adicionar imagem, titulo e subtitulo personalizados no topo
$htmlTopoIntro = JHTML::_('content.prepare', '{loadposition nobossarticle_header, none }');

// Conteudo do modulo do topo definido: exibe na tela
if (!empty($htmlTopoIntro)){
    echo $htmlTopoIntro;
}

?>


<div class="nb-container item-page<?php echo $this->pageclass_sfx; ?>" itemscope itemtype="http://schema.org/Article">
	<meta itemprop="inLanguage" content="<?php echo ($this->item->language === '*') ? JFactory::getConfig()->get('language') : $this->item->language; ?>" />
    <article itemprop="articleBody">
        <?php // Titulo da pagina ?>
        <?php if ($params->get('show_title') && $params->get('show_page_heading')) : ?>
            <div class="main-title">
                <h1 itemprop="name" class="titulo-1 section-title">
                    <?php echo $params->get('page_title'); ?>
                </h1>
            </div>
        <?php endif; ?>

        <?php // Área em que um evento do joomla poderá intervir depois do titulo ?>
        <?php 
        if (!$params->get('show_intro')) : 
            echo $this->item->event->afterDisplayTitle; 
        endif; ?>

        <?php // Área em que um evento do joomla poderá intervir antes do conteúdo ?>
        <?php echo $this->item->event->beforeDisplayContent; ?>
        <div class="noboss-main-content">
            <?php echo $this->item->text; ?>
        </div>
    </article>
    <?php // Área em que um evento do joomla poderá intervir depois do conteúdo ?>
    <?php echo $this->item->event->afterDisplayContent; ?>
</div>
